<footer class="main-footer">
    <?php
    if ( function_exists('WPS_framework_init') && wps_get_option('select_footer_design' )) {
        //select from option panel
        $footer_design = wps_get_option('select_footer_design');;
        echo do_shortcode('[INSERT_ELEMENTOR id='. $footer_design .']');
    } ?>
</footer>
<div class="footer-credit-section">
    <div class="container">
        <div class="row">
            <?php if (function_exists('WPS_framework_init')) { ?>
                <div class="footer-bar-set">
                    <div class="left-section-text">
                        <?php if (function_exists('WPS_framework_init') && wps_get_option('show_hide_footer_credit') == '1') { ?>
                            <div class="rules">
                    <p><?php echo wps_get_option('footer_text') ?>
                        <a href="<?php echo get_home_url(); ?>"><?php echo get_bloginfo('name'); ?></a>
                    </p>
                </div>
                            <div class="rules">
                    <p><?php echo wps_get_option('footer_text_two');?>
                        <a href="<?php echo wps_get_option('designer_link'); ?>">
                            <?php echo wps_get_option('designer_text'); ?>
                        </a>
                    </p>
                </div>
                        <?php } ?>
                    </div>
                    <div class="right-side-social <?php if (function_exists('WPS_framework_init') && wps_get_option('show_hide_footer_credit') == '') { ?> no-credit-section <?php } ?>">
                        <?php if (function_exists('WPS_framework_init')) { ?>
                            <ul>
                                <li class="back-to-top" id="backtotop">
                                    <i class="fa fa-angle-double-up"></i>
                                </li>
                                <?php if (wps_get_option('footer_facebook_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('footer_facebook_url')); ?>">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('footer_twitter_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('footer_twitter_url')); ?>">
                                            <i class="fab fa-twitter"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('footer_youtube_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('footer_youtube_url')); ?>">
                                            <i class="fab fa-youtube"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('footer_instagram_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('footer_instagram_url')); ?>">
                                            <i class="fab fa-instagram"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>
            <?php } else { ?>
                <div class="footer-bar-set">
                    <div class="left-section-text">
                    <div class="rules">
                    <p><?php esc_html_e( 'Copyright', 'maganizer'); ?><?php echo date('Y'); ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
                    </p>
                 </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>
<?php wp_footer();?>
</body>
</html>