<?php if (is_single()){
    if (function_exists('WPS_framework_init')) {
        $meta_value = get_post_meta(get_the_ID(), 'maganizer_metadata', true);
        if (!empty($meta_value['do_you_need_custom_fb'])) {
            if (($meta_value['do_you_need_custom_fb']) == '1') { ?>
                <meta property="og:url" content="<?php the_permalink(); ?>"/>
                <meta property="og:type" content="website"/>
                <meta property="og:title" content="<?php echo esc_attr($meta_value['facebook_share_custom_title']); ?>"/>
                <meta property="og:description"
                      content="<?php echo esc_attr($meta_value['facebook_share_custom_description']); ?>">
                <meta property="og:image" content="<?php echo esc_attr($meta_value['facebook_share_custom_image']); ?>"/>
            <?php } else { ?>
                <meta property="og:url" content="<?php the_permalink(); ?>"/>
                <meta property="og:type" content="website"/>
                <meta property="og:title" content="<?php the_title(); ?>"/>
                <meta property="og:description" content="<?php echo wp_trim_words(get_the_content(), 18, '...'); ?>"/>
                <meta property="og:image" content="<?php the_post_thumbnail(); ?>"/>
                <?php
            }
        }
    }
 }
?>