<?php
/**
 * The template for displaying category pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

get_header(); ?>
<?php
if ( function_exists('WPS_framework_init') && wps_get_option('category_page_design' )) {
    //select from option panel
    $category_page = wps_get_option('category_page_design');;
    echo do_shortcode('[INSERT_ELEMENTOR id='. $category_page .']');
} else { ?>
    <div class="site-main">
        <div class="container">
            <div class="row">
                <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> left-padding-remove col-md-8 <?php } else { ?> col-md-12 home-padding <?php } ?>">
                    <?php get_template_part( 'archive', 'content' ); ?>
                </div>
                <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                    <div class="col-md-4 right-padding-remove">
                        <?php get_template_part( 'archive', 'sidebar' ); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php }
get_footer();
