<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

?>
<div class="page-content-side <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>  left-padding-remove col-md-8 <?php } else { ?> col-md-12 home-padding <?php } ?>">
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h2 class="main-post-title">
            <?php the_title(); ?>
        </h2>
        <div class="post-meta-data under-border-here">
            <span class="posted-by black">By</span>
            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="meta-links author redlink"><?php echo get_the_author(); ?></a>
            <span class="meta-links post-date black placeright"><?php echo get_the_date(); ?></span>
        </div>

        <?php if ( has_post_thumbnail() ) { ?>
            <div class="image-thumbnail-single-page">
                <?php the_post_thumbnail('maganizer-large-post-thumb', array( 'alt' => get_the_title() )); ?>
            </div>
        <?php } ?>
        <div class="entry-content single-page-designx">
            <?php the_content(); ?>
        </div>
        <?php wp_link_pages(); ?>

        <div class="comment-template single-page-comment">
            <?php comments_template(); ?>
        </div>
    </article><!-- #post-<?php the_ID(); ?> -->
</div>
<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
    <div class="col-md-4 right-padding-remove page-sidebar-side">
        <?php get_template_part( 'archive', 'sidebar' ); ?>
    </div>
<?php } ?>

